Debian Bug report logs - #578024
usb-modeswitch-data: Avoid splitting /etc/usb_modeswitch.d/ to save space

version graph

Package: usb-modeswitch-data; Maintainer for usb-modeswitch-data is Didier Raboud <odyx@debian.org>; Source for usb-modeswitch-data is src:usb-modeswitch-data.

Reported by: Frank Lin PIAT <fpiat@klabs.be>

Date: Fri, 16 Apr 2010 07:27:02 UTC

Severity: wishlist

Tags: upstream

Found in version usb-modeswitch-data/20100322-2

Fixed in version usb-modeswitch-data/20101222-2

Done: Didier Raboud <odyx@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Didier Raboud <didier@raboud.com>:
Bug#578024; Package usb-modeswitch-data. (Fri, 16 Apr 2010 07:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lin PIAT <fpiat@klabs.be>:
New Bug report received and forwarded. Copy sent to Didier Raboud <didier@raboud.com>. (Fri, 16 Apr 2010 07:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frank Lin PIAT <fpiat@klabs.be>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: usb-modeswitch-data: Avoid splitting /etc/usb_modeswitch.d/ to save space
Date: Fri, 16 Apr 2010 09:22:57 +0200
Package: usb-modeswitch-data
Version: 20100322-2
Severity: wishlist

Hello,

Splitting the file in /etc/usb_modeswitch.d/ increase the _disk_ pace usage
by 10 folds (400K instead of 28K).
IMHO, /etc/foo.d/ directory for configuration file is useful when other
packages ship files in the $foo.d/ directory. Or when a packages
receives a lot of updates (through volatile...), so the user isn't
asked to merge configuration file.

Couldn't all the files in the .d directory be merged in a single file?
(that file could be /etc/usb_modeswitch.d/upstream)


Thanks,

Franklin

% du /etc/usb_modeswitch.d/ -h
400K	/etc/usb_modeswitch.d/


% cat /etc/usb_modeswitch.d/* > /tmp/all
% du -h /tmp/al
28K	/tmp/a



-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (101, 'unstable'), (10, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.32-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages usb-modeswitch-data depends on:
ii  udev                          151-3      /dev/ and hotplug management daemo

Versions of packages usb-modeswitch-data recommends:
ii  usb-modeswitch                1.1.1-1    mode switching tool for controllin

usb-modeswitch-data suggests no packages.

-- no debconf information




Added tag(s) upstream. Request was from "Didier 'OdyX' Raboud" <didier@raboud.com> to control@bugs.debian.org. (Fri, 16 Apr 2010 09:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Didier Raboud <didier@raboud.com>:
Bug#578024; Package usb-modeswitch-data. (Fri, 16 Apr 2010 09:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <didier@raboud.com>:
Extra info received and forwarded to list. Copy sent to Didier Raboud <didier@raboud.com>. (Fri, 16 Apr 2010 09:12:08 GMT) Full text and rfc822 format available.

Message #12 received at 578024@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <didier@raboud.com>
To: Frank Lin PIAT <fpiat@klabs.be>, 578024@bugs.debian.org, control@bugs.debian.org
Cc: Josua Dietze <digidietze@draisberghof.de>
Subject: Re: Bug#578024: usb-modeswitch-data: Avoid splitting /etc/usb_modeswitch.d/ to save space
Date: Fri, 16 Apr 2010 11:01:14 +0200
[Message part 1 (text/plain, inline)]
package usb-modeswitch-data
tags 578024 +upstream
thanks

Le vendredi 16 avril 2010 09:22:57 Frank Lin PIAT, vous avez écrit :
> Hello,
> 
> Splitting the file in /etc/usb_modeswitch.d/ increase the _disk_ pace usage
> by 10 folds (400K instead of 28K).
> IMHO, /etc/foo.d/ directory for configuration file is useful when other
> packages ship files in the $foo.d/ directory. Or when a packages
> receives a lot of updates (through volatile...), so the user isn't
> asked to merge configuration file.
> 
> Couldn't all the files in the .d directory be merged in a single file?
> (that file could be /etc/usb_modeswitch.d/upstream)
> 
> 
> Thanks,
> 
> Franklin
> 
> % du /etc/usb_modeswitch.d/ -h
> 400K	/etc/usb_modeswitch.d/
> 
> 
> % cat /etc/usb_modeswitch.d/* > /tmp/all
> % du -h /tmp/al
> 28K	/tmp/a

Hi Franklin, and thanks again for your bugreport !

(Upstream CCed again)

Historically, usb-modeswitch was shipped with one single file containing all the 
configurations and this file went splitted in multiple files to ease conffile 
transitions, additions and update. I still think that this model is very 
convenient for working out new devices, etc.

Now I very much understand this space issue. Furthermore, providing so many 
configuration files somehow bloats the /etc space for things that are probably 
more of /usr scope.

So a reasonable solution IMHO (and again, probably to be done upstream) would be 
to modify both usb-modeswitch and u-m-data for the following (to be done 
separately probably):

  * use configuration from two different places: /usr/share/usb-modeswitch-data 
would contain the "upstream stable configuration files" (or even all) and 
/etc/usb_modeswitch.d/ would contain the "still to be modified" (_:_:? e.g.) and 
the user provided ones. The /etc/* would take precedence over the /usr/* ones.

  * enhance usb-modeswitch to be able to understand multiple configurations per 
file. This would allow to ship one upstream blob in /usr/share and keep working 
with separate files overrides in /etc/*

Josh: What do you think of all this ? I am somehow puzzled to propose yet-a-new 
paradigm change, but the path to technical perfection is sometimes zigzag. :-)

Frank: Does this sound sensible to you ?

Cheers, 

OdyX

-- 
Didier Raboud, proud Debian Maintainer (DM).
CH-1020 Renens
didier@raboud.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Didier Raboud <didier@raboud.com>:
Bug#578024; Package usb-modeswitch-data. (Fri, 16 Apr 2010 20:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josua Dietze <digidietze@draisberghof.de>:
Extra info received and forwarded to list. Copy sent to Didier Raboud <didier@raboud.com>. (Fri, 16 Apr 2010 20:51:03 GMT) Full text and rfc822 format available.

Message #17 received at 578024@bugs.debian.org (full text, mbox):

From: Josua Dietze <digidietze@draisberghof.de>
To: Didier 'OdyX' Raboud <didier@raboud.com>
Cc: Frank Lin PIAT <fpiat@klabs.be>, 578024@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#578024: usb-modeswitch-data: Avoid splitting /etc/usb_modeswitch.d/ to save space
Date: Fri, 16 Apr 2010 22:30:21 +0200
Didier 'OdyX' Raboud schrieb:

> Le vendredi 16 avril 2010 09:22:57 Frank Lin PIAT, vous avez écrit :
>>
>> Splitting the file in /etc/usb_modeswitch.d/ increase the _disk_ pace usage
>> by 10 folds (400K instead of 28K).


This is an issue of the file system. It might be different for other 
setups.

>> IMHO, /etc/foo.d/ directory for configuration file is useful when other
>> packages ship files in the $foo.d/ directory. Or when a packages
>> receives a lot of updates (through volatile...), so the user isn't
>> asked to merge configuration file.


That's exactly why I did the split; the single config file was edited 
by users who often messed up. And I want human readability as much as 
possible.

> So a reasonable solution IMHO (and again, probably to be done upstream) would be 
> to modify both usb-modeswitch and u-m-data for the following (to be done 
> separately probably):
> 
>   * use configuration from two different places: /usr/share/usb-modeswitch-data 
> would contain the "upstream stable configuration files" (or even all) and 
> /etc/usb_modeswitch.d/ would contain the "still to be modified" (_:_:? e.g.) and 
> the user provided ones. The /etc/* would take precedence over the /usr/* ones.
> 
>   * enhance usb-modeswitch to be able to understand multiple configurations per 
> file. This would allow to ship one upstream blob in /usr/share and keep working 
> with separate files overrides in /etc/*
> 
> Josh: What do you think of all this ? I am somehow puzzled to propose yet-a-new 
> paradigm change, but the path to technical perfection is sometimes zigzag. :-)


To be honest, I think there are more pressing issues at the moment, 
like getting NetworkManager to work flawlessly with every new modem.

There is no gain in space if the files are stored elsewhere.

If there is a project where space is so limited that these kB *do* 
matter, I'm willing to add a mechanism which can work with a tarball 
of the config files.

Otherwise, I trust that better file systems will change the picture soon.


Regards,
Josh





Information forwarded to debian-bugs-dist@lists.debian.org, Didier Raboud <didier@raboud.com>:
Bug#578024; Package usb-modeswitch-data. (Wed, 18 Aug 2010 19:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josua Dietze <digidietze@draisberghof.de>:
Extra info received and forwarded to list. Copy sent to Didier Raboud <didier@raboud.com>. (Wed, 18 Aug 2010 19:24:07 GMT) Full text and rfc822 format available.

Message #22 received at 578024@bugs.debian.org (full text, mbox):

From: Josua Dietze <digidietze@draisberghof.de>
To: 578024@bugs.debian.org
Cc: Frank Lin PIAT <fpiat@klabs.be>
Subject: Re: Bug#578024: usb-modeswitch-data: Avoid splitting /etc/usb_modeswitch.d/
Date: Wed, 18 Aug 2010 20:59:34 +0200
Release 1.1.4 of the usb-modeswitch package introduces the possibility 
to work with a tarball of the config files.

From usb-modeswitch-data package version 20100817, there is a new 
make target "install-packed" which creates a single file 
"configPack.tar.gz" in /etc/usb_modeswitch.d. On my system its size is 
6688 Bytes.
This may be useful on systems with constrained resources.


Regards,

Josua Dietze




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 05 Jan 2011 19:09:07 GMT) Full text and rfc822 format available.

Reply sent to Didier Raboud <odyx@debian.org>:
You have taken responsibility. (Thu, 06 Jan 2011 01:07:44 GMT) Full text and rfc822 format available.

Notification sent to Frank Lin PIAT <fpiat@klabs.be>:
Bug acknowledged by developer. (Thu, 06 Jan 2011 01:07:44 GMT) Full text and rfc822 format available.

Message #29 received at 578024-close@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 578024-close@bugs.debian.org
Subject: Bug#578024: fixed in usb-modeswitch-data 20101222-2
Date: Thu, 06 Jan 2011 01:02:22 +0000
Source: usb-modeswitch-data
Source-Version: 20101222-2

We believe that the bug you reported is fixed in the latest version of
usb-modeswitch-data, which is due to be installed in the Debian FTP archive:

usb-modeswitch-data-packed_20101222-2_all.deb
  to main/u/usb-modeswitch-data/usb-modeswitch-data-packed_20101222-2_all.deb
usb-modeswitch-data_20101222-2.debian.tar.gz
  to main/u/usb-modeswitch-data/usb-modeswitch-data_20101222-2.debian.tar.gz
usb-modeswitch-data_20101222-2.dsc
  to main/u/usb-modeswitch-data/usb-modeswitch-data_20101222-2.dsc
usb-modeswitch-data_20101222-2_all.deb
  to main/u/usb-modeswitch-data/usb-modeswitch-data_20101222-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 578024@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Didier Raboud <odyx@debian.org> (supplier of updated usb-modeswitch-data package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 05 Jan 2011 13:04:05 +0100
Source: usb-modeswitch-data
Binary: usb-modeswitch-data usb-modeswitch-data-packed
Architecture: source all
Version: 20101222-2
Distribution: experimental
Urgency: low
Maintainer: Didier Raboud <odyx@debian.org>
Changed-By: Didier Raboud <odyx@debian.org>
Description: 
 usb-modeswitch-data - mode switching data for usb-modeswitch
 usb-modeswitch-data-packed - mode switching data for usb-modeswitch, packed version
Closes: 578024
Changes: 
 usb-modeswitch-data (20101222-2) experimental; urgency=low
 .
   * Add a usb-modeswitch-data-packed package that ships the compressed
     switching data (Closes: #578024)
   * Add 02_umdp_archive_in_usr.patch to install the archive to /usr/share
     instead of /etc
 .
   * Use my new @d.o address and remove the DMUA flag.
Checksums-Sha1: 
 719b44720517d9fc8e6edc97482773462a547729 1431 usb-modeswitch-data_20101222-2.dsc
 ee749e0f362aba8164b85c0fbda205fc75558409 6821 usb-modeswitch-data_20101222-2.debian.tar.gz
 824423a201b3ed5fd169113234f1ae9464c9a12d 21828 usb-modeswitch-data_20101222-2_all.deb
 d02bfcd6fc56e5ce9ed998e178270a08c16aac44 20444 usb-modeswitch-data-packed_20101222-2_all.deb
Checksums-Sha256: 
 7b5d81c0c4bb3133f8a2051f083b015bc378481a2e29698d2e9fc064b41ba7c9 1431 usb-modeswitch-data_20101222-2.dsc
 c75abf6038f3165351406446ee78ccf96717f035571b74eb9ca87a644cf09508 6821 usb-modeswitch-data_20101222-2.debian.tar.gz
 e164e93067b140e08e4f0fa3981f76a477538cc191ac1944a156627df248b72e 21828 usb-modeswitch-data_20101222-2_all.deb
 b2db964f12fa86fa030c4ea87ddef342f68ea999035a975fc7deb0b19f9efdd5 20444 usb-modeswitch-data-packed_20101222-2_all.deb
Files: 
 5c302460b69f05d651a95391611b77b2 1431 comm extra usb-modeswitch-data_20101222-2.dsc
 e439a70ee61065710252b929e6372084 6821 comm extra usb-modeswitch-data_20101222-2.debian.tar.gz
 4321326a4536f5b69f503fec5f57f6ff 21828 comm extra usb-modeswitch-data_20101222-2_all.deb
 fec628ce81fed4a955c19e3d557eddf2 20444 comm extra usb-modeswitch-data-packed_20101222-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iJwEAQECAAYFAk0kYh8ACgkQKA1Vt+jBwDirzQQArmrH4T5hv2R4AFDaidsoBy8J
iURalSOEyOIWSAFlqceW2ODrsJHYt5PWKkK5X5FPDdygXjfOt8rwBknhokYUX1/i
Pt1o4qVDecc5sZfFnIpxOFslpToSZRR5nWOymhGk7fmHU99y4TEggbRQAcLW+q24
8qcBZ66zjLFjYkQtG9k=
=EHCX
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Mar 2011 07:36:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:20:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.